# eric4.Preferences.ConfigurationPages.HelpViewersPage

Module implementing the Help Viewers configuration page.

### Global Attributes

None

### Classes

HelpViewersPage | Class implementing the Help Viewers configuration page.

### Functions

create | Module function to create the configuration page.

## HelpViewersPage

Class implementing the Help Viewers configuration page.

### Derived from

ConfigurationPageBase, Ui_HelpViewersPage

### Class Attributes

None

### Class Methods

None

### Methods

HelpViewersPage | Constructor
on_chmviewerButton_clicked | Private slot to handle the CHM viewer selection.
on_customViewerSelectionButton_clicked | Private slot to handle the custom viewer selection.
on_pdfviewerButton_clicked | Private slot to handle the PDF viewer selection.
on_webbrowserButton_clicked | Private slot to handle the Web browser selection.
save | Public slot to save the Help Viewers configuration.

### Static Methods

None

#### HelpViewersPage (Constructor)

HelpViewersPage()

Constructor

#### HelpViewersPage.on_chmviewerButton_clicked

on_chmviewerButton_clicked()

Private slot to handle the CHM viewer selection.

#### HelpViewersPage.on_customViewerSelectionButton_clicked

on_customViewerSelectionButton_clicked()

Private slot to handle the custom viewer selection.

#### HelpViewersPage.on_pdfviewerButton_clicked

on_pdfviewerButton_clicked()

Private slot to handle the PDF viewer selection.

#### HelpViewersPage.on_webbrowserButton_clicked

on_webbrowserButton_clicked()

Private slot to handle the Web browser selection.

#### HelpViewersPage.save

save()

Public slot to save the Help Viewers configuration.

Up

## create

create(dlg)

Module function to create the configuration page.

dlg
  reference to the configuration dialog

Up